<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateWeedContaminationRecordsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('qc_weed_contamination_records', function (Blueprint $table) {
            $table->id('weed_contamination_id');
            $table->integer('user_id');
            $table->string('reference_no');
            $table->integer('factory');
            $table->integer('customer_order_plan_data_id');
            $table->integer('product_primary_id');
            $table->text('description');
            $table->date('date');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('qc_weed_contamination_records');
    }
}
